#
# spec file for package syslinux (Version 3.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-devel-32bit glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libnetpbm libnscd libpng libpng-devel libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools nasm ncurses ncurses-devel net-tools netcfg netpbm openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           syslinux
BuildRequires:  glibc-32bit glibc-devel-32bit libpng-devel nasm netpbm
URL:            http://syslinux.zytor.com/
License:        GPL, Other License(s), see package
Group:          System/Boot
Autoreqprov:    on
Summary:        Boot Loader for Linux
Version:        3.11
Release:        20.3
Source:         %{name}-%{version}.tar.bz2
Source1:        isolinux-config
Patch:          %{name}-%{version}.dif
Patch1:         %{name}-%{version}-align.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SYSLINUX is a boot loader for the Linux operating system which operates
off an MS-DOS or Windows FAT file system. It is intended to simplify
first-time installation of Linux and for creation of rescue and other
special purpose boot disks.



Authors:
--------
    H. Peter Anvin <hpa@zytor.com>

%debug_package
%prep
%setup
%patch
%patch1

%build
  chmod +x add_crc
  make spotless
  make

%install
  bindir=$RPM_BUILD_ROOT/usr/bin
  incdir=$RPM_BUILD_ROOT/usr/include
  libdir=$RPM_BUILD_ROOT%{_libdir}
  sharedir=$RPM_BUILD_ROOT/usr/share/syslinux
  
  install -d -m 755 $bindir $incdir $libdir $sharedir 
  install -s -m 755 mtools/syslinux extlinux/extlinux gethostip $bindir
  install -s -m 755 unix/syslinux $bindir/syslinux-nomtools
  install -m 755 ppmtolss16 lss16toppm %{_sourcedir}/isolinux-config $bindir
  install -m 644 isolinux.bin isolinux-debug.bin pxelinux.0 memdisk/memdisk $sharedir
  install -m 755 keytab-lilo.pl sys2ansi.pl $sharedir

%files
%doc comboot.doc
%doc distrib.doc
%doc extlinux.doc
%doc isolinux.doc
%doc keytab-lilo.doc
%doc memdisk/memdisk.doc
%doc pxelinux.doc
%doc syslinux.doc
%doc README
%doc NEWS
%doc README.gfxboot
/usr/bin/extlinux
/usr/bin/gethostip
/usr/bin/isolinux-config
/usr/bin/lss16toppm
/usr/bin/ppmtolss16
/usr/bin/syslinux
/usr/bin/syslinux-nomtools
/usr/share/syslinux

%changelog -n syslinux
* Mon Jun 19 2006 - snwint@suse.de
- syslinux did not clear memory between initrds (#184706)
* Thu Apr 27 2006 - snwint@suse.de
- ignore drive reset error when booting from local disk (#169014)
* Thu Feb 09 2006 - snwint@suse.de
- monitor detection can be skipped (#149578)
* Thu Feb 02 2006 - snwint@suse.de
- no aborts while kernel loads in gfx mode (#145748)
* Mon Jan 30 2006 - snwint@suse.de
- fixed isolinux-config to work with new perl
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - snwint@suse.de
- cjwatson@ubuntu.com: support big-endian cpio archives (#140119)
- support direct driverupdate loading from CD-ROM (feat #152):
  o initrd loading errors are no longer fatal
  o if initrd name starts with '+' ask for CD change
* Wed Dec 14 2005 - snwint@suse.de
- really disable text messages
- cjwatson@ubuntu.com: turn off graphics for localboot
* Fri Dec 02 2005 - snwint@suse.de
- make it build on beta
* Wed Nov 30 2005 - snwint@suse.de
- update to version 3.11
- gfxboot patch changed significantly - check README.gfxboot
* Thu Oct 06 2005 - snwint@suse.de
- add chdir/getcwd functions to gfxboot
* Mon Sep 26 2005 - snwint@suse.de
- wrote isolinux-config script
* Fri Sep 09 2005 - snwint@suse.de
- press Alt key to optionally skip monitor detection (#115204)
* Wed Apr 27 2005 - snwint@suse.de
- fixed to take bios memory size into account (#65458)
* Fri Apr 22 2005 - snwint@suse.de
- fixed 16 bit color mode selection (#79312)
* Tue Apr 12 2005 - snwint@suse.de
- make it work with gcc4
* Fri Feb 04 2005 - snwint@suse.de
- solved memory corruption issue (might have caused #43877)
* Mon Jan 31 2005 - snwint@suse.de
- don't read from disk (#47891)
* Fri Jan 28 2005 - snwint@suse.de
- updated gfxboot patch
* Mon Jan 24 2005 - snwint@suse.de
- added syslinux-nomtools
- removed dependencies from mtools and bootsplash
* Mon Sep 13 2004 - snwint@suse.de
- moved syslinux into /usr/bin (#44780)
* Mon Aug 23 2004 - snwint@suse.de
- updated to syslinux 2.11
* Thu Apr 08 2004 - snwint@suse.de
- make bios mem info available for gfxboot
* Fri Apr 02 2004 - snwint@suse.de
- don't reset timeout for 'notice' option
* Fri Apr 02 2004 - snwint@suse.de
- reduce max number of boot menu entries (syslinux: 64, isolinux: 32)
  to make room for boot graphics
* Wed Mar 31 2004 - snwint@suse.de
- fixed pxelinux (#36625)
* Mon Mar 15 2004 - snwint@suse.de
- fixed menu size check (#35508)
- removed vmware from blacklist (#35896)
* Mon Mar 08 2004 - ro@suse.de
- fix build on x86_64
* Fri Mar 05 2004 - snwint@suse.de
- update to 2.08
* Tue Jan 13 2004 - snwint@suse.de
- understand new gfxboot file format
* Tue Dec 16 2003 - snwint@suse.de
- boot disk may have a file system that spans several floppies
* Wed Sep 10 2003 - snwint@suse.de
- fixed monitor data interpretation bug (#29718)
* Mon Sep 01 2003 - snwint@suse.de
- work around bios disk read bug (seen on VIA KT133A)
* Mon Aug 25 2003 - snwint@suse.de
- update to 2.06: fix problem that would occationally cause a
  boot failure, depending on the length of the kernel
* Thu Aug 21 2003 - ro@suse.de
- make it build on x86_64
* Mon Aug 18 2003 - snwint@suse.de
- update to 2.05
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Tue Mar 11 2003 - snwint@suse.de
- wait for 'enter' in text mode interface, too (#25047)
* Sat Mar 08 2003 - snwint@suse.de
- handle "boot from hd" errors properly (#24788)
* Thu Mar 06 2003 - snwint@suse.de
- preselect 640x480 even if no vbe support at all
* Sat Mar 01 2003 - snwint@suse.de
- dynamically change FAT buffer size; this gives more space for
  boot graphics
- really add 640x480 to modelist if no VB extension was found (#24293)
- _copy_ VBE mode list, might get overwritten (#23582)
* Tue Feb 18 2003 - snwint@suse.de
- new splash handling: splash files no longer have to be added to
  initrd but are read separately from <resolution>.spl files
* Fri Feb 14 2003 - snwint@suse.de
- read device path info
- joined all diffs
* Sun Feb 09 2003 - snwint@suse.de
- updated graphics patch
* Wed Feb 05 2003 - snwint@suse.de
- make isolinux work around a strange bios bug (#23323)
- fix reading vbe mode list for machines that don't zero
  its memory (#23261)
* Wed Sep 04 2002 - snwint@suse.de
- select 8 bit fb modes if 16 bit is not available
* Tue Sep 03 2002 - snwint@suse.de
- fixed minor bug detecting available gfx modes
* Tue Sep 03 2002 - snwint@suse.de
- fixed Requires
* Wed Jul 17 2002 - snwint@suse.de
- adaped graphics patch to handle new graphics file format
* Mon Mar 04 2002 - snwint@suse.de
- detect fujitsu siemens notebook lcd
* Mon Mar 04 2002 - snwint@suse.de
- allow booting from harddisk
* Sun Mar 03 2002 - snwint@suse.de
- initrd may optionally be on a second disk
* Tue Feb 19 2002 - snwint@suse.de
- make isolinux work on some more systems
  (they used to break with 'Disk error 00')
* Mon Feb 18 2002 - snwint@suse.de
- removed Matrox cards from exception list
- don't put monitor data into kernel cmdline
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Sep 17 2001 - snwint@suse.de
- no fb for Matrox G550 cards (#10749)
* Mon Sep 10 2001 - snwint@suse.de
- don't select vmware fb mode, the kernel doesn't like it
* Sun Sep 09 2001 - snwint@suse.de
- created single diff file
- support gfxboot-1.4
* Tue Sep 04 2001 - snwint@suse.de
- should boot on some more computers
- print warning and hint to use CD2 if we encounter a broken BIOS
* Mon Sep 03 2001 - snwint@suse.de
- exclude list for cards where fbdev will not work
- allow longer base directory name for boot image
* Wed Aug 22 2001 - snwint@suse.de
- fixed 16 bit fb selection
* Mon Aug 20 2001 - snwint@suse.de
- we want 16 bit framebuffer now
* Fri Aug 10 2001 - snwint@suse.de
- added 1024x768 support
* Mon Aug 06 2001 - snwint@suse.de
- upgraded to new version (1.62)
- fixed isolinux to work with graphics
- fixed minor isolinux bug to make it boot on Toshiba Satellite notebooks
* Mon May 14 2001 - snwint@suse.de
- syslinux reports wrong video mode (#8244)
* Wed May 09 2001 - snwint@suse.de
- fixed boot problem on d230 (#7958)
- corrected detection of 800x600 frame buffer mode support (#7959)
* Sun May 06 2001 - snwint@suse.de
- ask for driver update disk in graphics mode
- F2 - F4 video mode selection in text mode
- make 800x600 default if monitor supports it *or*
  graphics card has >= 4MB memory
* Tue May 01 2001 - kukuk@suse.de
- Add libpng to neededforbuild
* Tue May 01 2001 - ro@suse.de
- added libnetpbm to neededforbuild
* Mon Apr 30 2001 - snwint@suse.de
- made it require gfxboot package
- added netpbm to #neededforbuild
* Mon Apr 30 2001 - snwint@suse.de
- new version (1.61): can now boot CDs directly (isolinux)
- graphics support completely reworked
* Tue Apr 03 2001 - snwint@suse.de
- completely reworked syslinux patch
- support graphics boot screen
* Sun Jan 14 2001 - snwint@suse.de
- new messages for our Driver Update feature
* Tue Jan 09 2001 - ro@suse.de
- re-added README.SuSE to diff
* Mon Dec 18 2000 - snwint@suse.de
- detect BIOS extended read capability
* Fri Jun 09 2000 - snwint@suse.de
- improved ddc parser
- ! kernel cmdline gets quite long already (slightly below 200 chars) !
* Fri Feb 11 2000 - snwint@suse.de
- new version (1.48)
- some new features (see README.SuSE)
* Mon Oct 11 1999 - snwint@suse.de
- added package (version 1.45)
